package com.diss.omppapp.repositories;

import com.diss.omppapp.entities.StudentClassesEntity;
import com.diss.omppapp.entities.StudentClassesKey;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Optional;

@Repository
public interface StudentClassesEntityRepository extends CrudRepository<StudentClassesEntity, StudentClassesKey> {
    Optional<List<StudentClassesEntity>> findAllByUsername(String username);
    Optional<List<StudentClassesEntity>> findAllByClassCode(String classCode);
}
